Get assets
curl --request GET \
--url https://relay.bayse.markets/v1/wallet/assetsimport requests
url = "https://relay.bayse.markets/v1/wallet/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/wallet/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.bayse.markets/v1/wallet/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://relay.bayse.markets/v1/wallet/assets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://relay.bayse.markets/v1/wallet/assets")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.bayse.markets/v1/wallet/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"assets": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"symbol": "USD",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 1250.50,
"pendingBalance": 0,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": true,
"isLocalCurrencyAsset": false,
"addresses": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "USDT",
"provider": "hostcap",
"network": "bep20"
}
],
"createdAt": "2026-01-13T08:38:32.454Z",
"updatedAt": "2026-02-18T11:32:09.718Z"
},
{
"id": "d4e5f6a7-b8c9-0123-defa-456789012345",
"symbol": "NGN",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 50000.00,
"pendingBalance": 50000.00,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": false,
"isLocalCurrencyAsset": true,
"addresses": [],
"createdAt": "2026-06-04T08:47:59.086Z",
"updatedAt": "2026-02-18T12:52:51.715Z"
}
]
}
Wallet
Get assets
Get wallet assets and balances for the authenticated user
GET
/
v1
/
wallet
/
assets
Get assets
curl --request GET \
--url https://relay.bayse.markets/v1/wallet/assetsimport requests
url = "https://relay.bayse.markets/v1/wallet/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/wallet/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.bayse.markets/v1/wallet/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://relay.bayse.markets/v1/wallet/assets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://relay.bayse.markets/v1/wallet/assets")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.bayse.markets/v1/wallet/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"assets": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"symbol": "USD",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 1250.50,
"pendingBalance": 0,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": true,
"isLocalCurrencyAsset": false,
"addresses": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "USDT",
"provider": "hostcap",
"network": "bep20"
}
],
"createdAt": "2026-01-13T08:38:32.454Z",
"updatedAt": "2026-02-18T11:32:09.718Z"
},
{
"id": "d4e5f6a7-b8c9-0123-defa-456789012345",
"symbol": "NGN",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 50000.00,
"pendingBalance": 50000.00,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": false,
"isLocalCurrencyAsset": true,
"addresses": [],
"createdAt": "2026-06-04T08:47:59.086Z",
"updatedAt": "2026-02-18T12:52:51.715Z"
}
]
}
Authentication
Read authentication required —X-Public-Key header. See the Authentication guide.
Example request
curl "https://relay.bayse.markets/v1/wallet/assets" \
-H "X-Public-Key: pk_live_abcdef123456"
const response = await fetch('https://relay.bayse.markets/v1/wallet/assets', {
headers: {
'X-Public-Key': 'pk_live_abcdef123456',
},
});
const assets = await response.json();
import requests
resp = requests.get(
'https://relay.bayse.markets/v1/wallet/assets',
headers={'X-Public-Key': 'pk_live_abcdef123456'},
)
assets = resp.json()
req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/wallet/assets", nil)
req.Header.Set("X-Public-Key", "pk_live_abcdef123456")
resp, _ := http.DefaultClient.Do(req)
Response
List of the user’s wallet assets.
Show asset fields
Show asset fields
{
"assets": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"symbol": "USD",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 1250.50,
"pendingBalance": 0,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": true,
"isLocalCurrencyAsset": false,
"addresses": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"symbol": "USDT",
"provider": "hostcap",
"network": "bep20"
}
],
"createdAt": "2026-01-13T08:38:32.454Z",
"updatedAt": "2026-02-18T11:32:09.718Z"
},
{
"id": "d4e5f6a7-b8c9-0123-defa-456789012345",
"symbol": "NGN",
"userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"network": "bep20",
"availableBalance": 50000.00,
"pendingBalance": 50000.00,
"depositActivity": "ACTIVE",
"withdrawalActivity": "ACTIVE",
"wagerActivity": "ACTIVE",
"isDefault": false,
"isLocalCurrencyAsset": true,
"addresses": [],
"createdAt": "2026-06-04T08:47:59.086Z",
"updatedAt": "2026-02-18T12:52:51.715Z"
}
]
}